/*****************************************************
event.c :
  μITRON サンプルプログラム
  Copyright(C) 2002 佐々木芳

イベントの実装

*****************************************************/

#include "hal.h"
#include "itron.h"
#include "event.h"



ER SendEvent(ID mbxid, MSGBLOCK* pMsg)
{
	return snd_mbx(mbxid, (T_MSG*)pMsg);
}

ER WaitEvent(ID mbxid, MSGBLOCK** ppMsg)
{
	return rcv_mbx(mbxid, (T_MSG**)ppMsg);
}

ER WaitEventTimeout(ID mbxid, MSGBLOCK** ppMsg, TMO tmout)
{
	return trcv_mbx(mbxid, (T_MSG**)ppMsg, tmout);
}
